//= require turbolinks
//= require_tree .


/* Responsive */
var is_desktop = true;
window.addEventListener('resize', resize);

document.addEventListener('turbolinks:load', function() {
	is_desktop = window.innerWidth < 800;
	resize();
});

function resize() {
	if(window.innerWidth < 800 && is_desktop)
	{
		is_desktop = false;
		go_mobile();
	}
	else if(window.innerWidth >= 800 && !is_desktop)
	{
		is_desktop = true;
		go_desktop();
	}
}

function go_mobile()
{
	const container = document.getElementById("containerer");
	const sidebar = document.getElementById("sidebar");
	container.style.marginLeft = "0px";
	sidebar.style.width = "auto";
	sidebar.style.position = "unset";
	sidebar.style.width = "100%";
	sidebar.style.boxSizing = "border-box";
	document.body.style.minWidth = "0px";
}

function go_desktop()
{
	const container = document.getElementById("containerer");
	const sidebar = document.getElementById("sidebar");
	container.style.marginLeft = null;
	sidebar.style.width = null;
	sidebar.style.position = null;
	sidebar.style.width = null;
	sidebar.style.boxSizing = null;
}
