document.addEventListener('turbolinks:load', function() {
	function r(s) {
		return document.getElementById(s);
	}
	var tf = r("blog_fg");
	if(tf == null) return;

	var tb = r("blog_bg");

	var vals = [r("fr"), r("fg"), r("fb")];
	var valsB = [r("br"), r("bg"), r("bb")];

	function hexVal(v)
	{
		return ("0" + Number(r(v).value).toString(16)).slice(-2).toUpperCase();
	}

	function rgbChange()
	{
		var rgb = '#';
		var rgbB = '#';
		["r","g","b"].forEach(function(v) {
			rgb += hexVal("f" + v);
			rgbB += hexVal("b" + v);
		});
		tf.value = rgb;
		tb.value = rgbB;
		document.body.style.color = rgb;
		document.body.style.backgroundColor = rgbB;
	}

	vals.forEach(function(v) {
		v.onchange = rgbChange;
	});

	valsB.forEach(function(v) {
		v.onchange = rgbChange;
	});

	var cF = tf.value.substr(1);
	var cB = tb.value.substr(1);
	for(var i = 0; i < 3; i++)
	{
		vals[i].value = parseInt(cF.substr(i * 2, 2), 16);
		valsB[i].value = parseInt(cB.substr(i * 2, 2), 16);
	}
});
