xml.instruct! :xml, version: "1.0"
xml.rss version: "2.0" do
  xml.channel do
    xml.title @blog.title
    xml.description @blog.slogan
    xml.link blog_url(blog_name: @blog.urlName)

    @posts.each do |post|
      xml.item do
        xml.title post.title
        xml.description parse_markdown post.body
        xml.pubDate post.created_at.to_s(:rfc822)
        xml.link post_url(blog_name: @blog.urlName,
                          post_id: post.id)
        xml.guid post_url(blog_name: @blog.urlName,
                          post_id: post.id)
      end
    end
  end
end
